Subject: Re: Link down reasons

From: Andrew Lunn <[email-masked]>
Date: Thu, 28 May 2020 17:40:10 +0200

> Andrew, pardon my ignorance in these matters, can a PHY driver in
> general determine that the issue is with the cable, even without running
> the fairly expensive cable test?

No. To diagnose a problem, you need the link to be idle. If the link
peer is sending frames, they interfere with TDR. So all the cable
testing i've seen first manipulates the auto-negotiation to make the
link peer go quiet. That takes 1 1/2 seconds. There are some
optimizations possible, e.g. if the cable is so broken it never
establishes link, you can skip this. But Ethernet tends to be robust,
it drops back to 100Mbps only using two pairs if one of the four pairs
is broken, for example.

   Andrew